Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00492 Crash/Freeze Critical (emulation) Have not tried Jan 30, 2008, 07:56 Aug 10, 2008, 16:23
Tester Kekule View Status Public Platform
Assigned To Luca Elia Resolution Fixed OS
Status [?] Resolved Driver igs011.cpp
Version 0.116u3 Fixed in Version 0.126u5 Build
Summary 00492: vbowl: In every case, after the 3rd launched ball, the game resets.
Description In every case, after the 3rd launched ball, the game resets.

Follow-up by twisty: Here's what happens just before the reset...

Update by BarnacleEd: vbowl as of (at least) 0.118u4 no longer crashes with an illegal instruction after the third ball, instead crashing with an illegal instruction at the very end of play when it should, I assume, return to attract mode.
Steps To Reproduce
Additional Information igs_blit.c renamed to igs011.c in 0.135u1
Flags
Regression Version
Affected Sets / Systems vbowl
Attached Files
png file icon vbowl0116u3red.png (31,601 bytes) Feb 14, 2008, 09:24
zip file icon savestate.zip (103,826 bytes) Feb 14, 2008, 09:24
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.02030
Luca Elia
Developer
Aug 10, 2008, 16:23
edited on: Aug 10, 2008, 16:23
The program rom seems a bad dump. That crash happens on an invalid instruction. I've patched out the byte at 80e0. Now It seems to behave like vbowlj.